Import

The import function allows you to convert the project that someone has sent you and save the project to your Caseprojects folder.

When you download a project that someone has sent you you must put all the files into your import folder. Note: The Import & Export menus are disabled by default to enable them go to the Other options tab on the LUO menu ( LUO ). To convert a project select import from preps menu.
Select the project that you
want to convert from the list.

After selecting the project(s) from the list right click the list to bring up the menu options and select convert.
If the conversion is OK then you should get the Save dialog. Save the project to your Caseprojects folder

See Also Renaming a import project

Related topics: Export


Renaming a import project

(Special cases such as renaming)

If a project has the same name as one in your Caseprojects folder you will get an error display like the following. (or if any projects files are missing)

You can right click the file list for the menu options. Select the menu Show named projects to show your Caseprojects. You can then view your project names that are in use.

Select the project from the Import list and right click for the menu. Select the Rename from the menu for the dialog displayed. Type a new name for the project. For a successful conversion try to use only the alphabet A-Z.

From the dialog type the name that you would like to rename the project.

A successful conversion renaming.


Project Integrity checker

The integrity checker attempts to import all projects and templates, then checks for the path and project files associated with that project or template. If any project or template shows discrepancies they will be displayed in a list. You can then attempt to search your drives for all projects located else where and determine whether to restore the file or delete the file.

The integrity check working and importing projects.

Integrity check file dialog Related topic: Integrity check options

If you receive this dialog after the integrity check, you have some dorphin files that need to be delt with. Dorphin files may be valid files to a project located elsewhere on your hard drive. You have four choices to choose from as follows:

  1. Search system for project files
    This will search all available drives and seek out any project or template files. It will then read all the files found and attempt to locate any of the dorphin files listed and will give you a recommendation on the results as to whether to restore the file or delete the file.

    Above Example:
    The three files shown above was picked up because no project file could be found in either the CaseProjects folder or the Templates folder.

    When I do a systems file search the three files are found and located in a project I have saved to my desktop named Default.

    These three files I would restore to the original folder.

    Tip:
    Why you ask do I have a Template saved to my desktop named as Default.
    As you well know that after you registered the program the nag screen was replaced with a 6 second splash screen.
    Create or open any project or template and save it to your desktop named Default.
    When you double click the file on your desktop JewelPro will open it with out showing the splash screen.
    But as you see here the integrity check found that the project was not complete.
    This is why it is always recommended you save your project or template to the appropriate CaseProjects or the Templates folder.

  2. Restore file to original folder
    This will restore the file to its original folder whether it was the CaseProjects folder or the Templates folder. Basically in essence this will just put the file back where it came from and no action will be taken.
    TIP: To restore all the files in the file list right click this button.

  3. Save to pictures folder
    You can click the file in the list and attempt to load the project file to see what it looks like. If you so choose you may save the file to your pictures folder. (NOTE: that if you save the file to your pictures folder then the file is deleted from the import folder.)

  4. Delete file
    Deletes the selected file in the list from the import folder and no record will remain.

  5. Cancel
    If you are doing a search for dorphin files then the search is ended.
    If you are on the search page and no search is in progress then you are taken back to the view page.
    If you are on the view page then the dialog is unloaded.(NOTE: that if you have done a search and there are dorphin files in the list and you have not done anything with these files, then the next time you run the integrity checker, these files are deleted.)


Integrity check options

You can alternately set options for how you want to handle
any dorphin files found from an integrity check here.
Restore dorphin files.
If there are any dorphin files left over after a check these are automatically restored to there original folder they were taken from.
Delete dorphin files.
If there are any dorphin files left over after a check these are automatically deleted and no record will remain.
Show dorphin file dialog.
No action is taken automatically, but then shows the integrity check file dialog so you can determine what to do with the files.

Run integrity check after a restore from backup.
This will run the integrity check any time after you perform a restore operation and will perform the action accordingly to one of the three option you have checked above. NOTE: that the integrity check is only run if you have checked one of the following folders (CaseProjects or Templates)on the Backup/Restore dialog to be restored.
Ask me first if I want to run the integrity check.
If the above option (Run integrity check after a restore from backup) is checked, you will receive a confirmation dialog first asking you if you want to run the integrity check. NOTE: that this is only shown if you have checked one of the following folders (CaseProjects or Templates)on the Backup/Restore dialog to be restored.

Delete left over project files from import folder(shelled operations)
Delete left over project files from import folder after import program is run from automatic shelled operations such as (Internet updates and from importing from CD projects). NOTE: This has the same effect as selecting the projects in the file list and selecting delete projects from the popup menu. This option is separate from the integrity checker and does not run from the check.